/** written by olaf booij
 *  public domain */

#ifndef QRSMURRIE_IMAGE_HPP_INCLUDE
#define QRSMURRIE_IMAGE_HPP_INCLUDE

#include<vector>
#include<qrsmurrie/qrencode_wrapper.hpp>
#include<qrsmurrie/random_string.hpp>

namespace qrsmurrie {

  typedef std::vector< bool > MonoImage;

  unsigned getNrOfQRValuesGivenStringSize(const unsigned& stringSize)
  {
    return(getNrOfQRValues(*encodeQR(generate_random_string(stringSize))));
  }


}

#endif // QRSMURRIE_IMAGE_HPP_INCLUDE

