/** written by olaf booij
 *  public domain */

#include <iostream>
#include <string>
#include <qrsmurrie/qrencode_wrapper.hpp>
#include <qrsmurrie/io.hpp>

using namespace qrsmurrie;
int main()
{
  std::string text = "Hello world filled with ugly qr codes";
	QRcodePtr qrcode = encodeQR(text);
  std::string testFileName("test.pgm");
  std::cout << "saving test qrcode in " << testFileName << std::endl;
  saveQRcodeAsPGM(*qrcode, testFileName);
  return(0);
}
