/** written by olaf booij
 *  public domain */

#include <iostream>
#include <string>
#include <cstdlib>
#include <ctime>
#include <qrsmurrie/random_string.hpp>
#include <qrsmurrie/mutate.hpp>

using namespace qrsmurrie;
int main()
{
  std::srand(std::time(NULL));
  std::string text = "Hello world filled with ugly qr codes";
  std::string random_string = generate_random_string(text.size());
  std::cout << ">" << random_string << "<" << std::endl;
  std::string mutated_string = mutate(random_string);
  std::cout << ">" << mutated_string << "<" << std::endl;
  return(0);
}
